Void-ACH
POST
/void-achSubmits a request to void an existing ACH transaction using its unique transaction identifier.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId
stringtransactionReferenceId
stringpreferences
eReceipt
booleancustomerEmail
stringcustomerMobile
stringtransactionRequest
transactionType
numberachTransactionId
stringamount
stringPOST/void-ach
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransact' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "567025324141",
7 "transactionReferenceId": "TXN1718000000123"
8 },
9 "preferences": {
10 "eReceipt": false,
11 "customerEmail": "customer@example.com",
12 "customerMobile": "+14242424243"
13 },
14 "transactionRequest": {
15 "transactionType": 11,
16 "achTransactionId": "ach_tx_88776655",
17 "amount": " "
18 }
19}'
Response
// Awaiting response…
Sample response
{
"iposhpresponse": {
"responseCode": "200",
"responseMessage": "success",
"errResponseCode": "",
"errResponseMessage": "",
"transactionReferenceId": "TXN1718000000123",
"transactionType": "11",
"transactionId": "TXID-12345678",
"amount": "1500",
"responseApprovalCode": "APP001122",
"rrn": "219313501821",
"transactionNumber": "4321",
"batchNumber": "123"
}
}